org.apache.xerces.xni.parser

## Interface XMLDTDFilter

All Superinterfaces:
  XMLDTDHandler, XMLDTDSource

    public interface XMLDTDFilter
    extends XMLDTDHandler, XMLDTDSource

Defines a DTD filter that acts as both a receiver and an emitter of DTD events.

Version:
  $Id: XMLDTDFilter.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM

### Field Summary

### Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler

`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

### Method Summary

### Methods inherited from interface org.apache.xerces.xni.XMLDTDHandler

`attributeDecl, comment, elementDecl, endAttlist, endConditional, endDTD, endExternalSubset, endParameterEntity, externalEntityDecl, getDTDSource, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setDTDSource, startAttlist, startConditional, startDTD, startExternalSubset, startParameterEntity, textDecl, unparsedEntityDecl`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLDTDSource

`getDTDHandler, setDTDHandler`